org.eclipse.jdt.ui.actions

## Class ImportActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.ImportActionGroup

    public class ImportActionGroup
    extends ActionGroup

Action group to add the Import and Export action to a view part's context menu.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`ImportActionGroup(IViewPart part)` Creates a new `ImportActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillContextMenu(IMenuManager menu)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`fillActionBars, getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportActionGroup

    public ImportActionGroup(IViewPart part)

Creates a new `ImportActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ActionGroup`